#!/usr/bin/python3
# -*- coding: utf-8 -*- 
import time
#smartremocon.py
 
import paho.mqtt.client as mqtt     # MQTTのライブラリをインポート
import subprocess
import json
import time
#from time import sleep
 
HOST = 'mqtt.beebotte.com'
PORT = 8883
CA_CERTS = 'mqtt.beebotte.com.pem'
TOKEN = 'token_xxxxxxxx'    #Beebotteで作成したチャンネルのトークンを入力
TOPIC = 'xxxxx/xxxxxxxx'    #Beebotteで作成したトピック名を入力
 
def on_connect(client, userdata, flags, respons_code):    # ブローカーに接続できたときの処理
    print('status {0}'.format(respons_code))

def on_publish(client, userdata, mid):    # publishが完了したときの処理
    print("publish: {0}".format(mid))

def on_disconnect(client, userdata, flags, respons_code): # ブローカーが切断したときの処理
    print("Unexpected disconnection.")
    client.loop_stop()

if __name__ == '__main__':
    client = mqtt.Client()                # クラスのインスタンス(実体)の作成
    client.on_connect = on_connect        # 接続時のコールバック関数を登録
    client.on_disconnect = on_disconnect  # 切断時のコールバックを登録
    client.on_publish = on_publish        # メッセージ送信時のコールバック
    client.username_pw_set('token:%s' % TOKEN)
    client.tls_set("/etc/ssl/certs/ca-certificates.crt")
    client.connect(HOST, PORT)            # 接続

    client.loop_start()   # 通信処理スタート
    client.publish(TOPIC, '{"data":["message1","message2","message3"]}', 0)
    time.sleep(3)
    client.loop_stop()    # 通信処理ストップ